pairwise.wilcox.test {stats} | R Documentation

## Pairwise Wilcoxon Rank Sum Tests

### Description

Calculate pairwise comparisons between group levels with corrections for multiple testing.

### Usage

    pairwise.wilcox.test(x, g, p.adjust.method = p.adjust.methods,
                          paired = FALSE, ...)

### Arguments

`x` | response vector.
`g` | grouping vector or factor.
`p.adjust.method` | method for adjusting p values (see `p.adjust`). Can be abbreviated.
`paired` | a logical indicating whether you want a paired test.
`...` | additional arguments to pass to `wilcox.test`.

### Details

Extra arguments that are passed on to `wilcox.test` may or may not be sensible in this context. In particular, only the lower triangle of the matrix of possible comparisons is being calculated, so setting `alternative` to anything other than `"two.sided"` requires that the levels of `g` are ordered sensibly.

### Value

Object of class `"pairwise.htest"`

### See Also

`wilcox.test`, `p.adjust`

### Examples

    attach(airquality)
    Month <- factor(Month, labels = month.abb[5:9])
    ## These give warnings because of ties :
    pairwise.wilcox.test(Ozone, Month)
    pairwise.wilcox.test(Ozone, Month, p.adj = "bonf")
    detach()

[Package stats version 3.6.0 Index]